# Lapack::singularValues

(PECL lapack >= 0.1.0)

Lapack::singularValues — Calculated the singular values of a matrix

### Description

public static Lapack::singularValues ( array `$a` ) : array

Calculate the singular values of the matrix A.

### Parameters

`a`

  The matrix to calculate the singular values for

### Return Values

The singular values

### Examples

Example #1 Using Lapack::singularValues():

`<?php
$a = array(
array( 7.52, -1.10, -7.95, 1.08 ),
array(-0.76, 0.62, 9.34, -7.10 ),
array( 5.13, 6.62, -5.66, 0.87 ),
array(-4.75, 8.52, 5.75, 5.30 ),
array( 1.33, 4.91, -5.49, -3.52 ),
array(-2.40, -6.77, 2.34, 3.95 ),
);
$result = Lapack::singularValues($a);
?>`